Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006101TestLinkAPI - XMLRPCpublic2013-12-15 20:222014-04-25 17:39
Reporterlczub 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006101: updateTestCase does not set modification timestamp
Description1. create project 'P-A' with test suite 'TS-A' and test case 'TC-A'
2. call xml-rpc api method updateTestCase with
   - testcaseexternalid = full_tc_external_id of test case 'TC-A'
   - steps = Array with new steps

3. open TestLink -> project 'P-A' -> Test Specification -> Test Case 'TC-A'

4. activate 'Display Author/Updater' for test case 'TC-A'
 
    Version 1 [Show ghost string] [Display Author/Updater]
    Created on 15/12/2013 20:48:25 by tester
    Last modified on 01/01/1970 01:00:00 by tester
    
=> 'Last modified' shows an unexpected date time string

5. check entry in table 'tcversions' for test case 'TC-A'
   - field 'updater_id' is set, field 'modification_ts' is NULL
   
=> updateTestCase has not set an 'modification_ts' entry !
TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres 9.2
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020217)
fman (administrator)
2013-12-17 06:29

https://gitorious.org/testlink-ga/testlink-code/commit/d2e006113c2000d3f17e12c3f971b2940d154698 [^]
(0020869)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-12-15 20:22 lczub New Issue
2013-12-17 06:27 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-12-17 06:29 fman Note Added: 0020217
2013-12-17 06:29 fman Relationship added child of 0006048
2013-12-17 06:30 fman Assigned To => fman
2013-12-17 06:30 fman Status new => assigned
2013-12-17 19:23 fman Status assigned => resolved
2013-12-17 19:23 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2013-12-17 19:23 fman Resolution open => fixed
2014-04-25 17:39 fman Note Added: 0020869
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker